Bug 1839456

Summary: Review Request: R-filelock - Portable File Locking
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: Iñaki Ucar <i.ucar86>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i.ucar86, package-review
Target Milestone: ---Flags: i.ucar86: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: branch-request:all
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-05 01:48:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Elliott Sales de Andrade 2020-05-24 07:19:24 UTC
Spec URL: https://qulogic.fedorapeople.org//R-filelock.spec
SRPM URL: https://qulogic.fedorapeople.org//R-filelock-1.0.2-1.fc30.src.rpm

Description:
b"Place an exclusive or shared lock on a file. It uses 'LockFile' on Windows and\n'fcntl' locks on Unix-like systems."

Comment 1 Elliott Sales de Andrade 2020-05-24 07:19:26 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=44892790

Comment 2 Iñaki Ucar 2020-06-25 20:47:46 UTC
Arch-specific bits correct, license correct, files correct, rpmlint correct, requires sane. Please consider using the more general scheme for the source URL that works both for current releases and archived packages:

URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{version}#/%{packname}_%{version}.tar.gz

Package APPROVED.

Comment 3 Gwyn Ciesla 2020-06-26 14:34:01 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-filelock

Comment 4 Fedora Update System 2020-06-26 21:36:02 UTC
FEDORA-2020-1c73657410 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1c73657410

Comment 5 Fedora Update System 2020-06-26 21:58:52 UTC
FEDORA-2020-5b066a7d79 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5b066a7d79

Comment 6 Fedora Update System 2020-06-27 01:21:30 UTC
FEDORA-2020-5b066a7d79 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-5b066a7d79 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5b066a7d79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-06-27 03:13:14 UTC
FEDORA-2020-1c73657410 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-1c73657410 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1c73657410

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-07-05 01:48:57 UTC
FEDORA-2020-5b066a7d79 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-07-05 02:09:48 UTC
FEDORA-2020-1c73657410 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.